package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tfc;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TfcMapper {

    int insert(Tfc record);

    int insertSelective(Tfc record);

    int updateByPrimaryKeySelective(Tfc record);

    int updateByPrimaryKey(Tfc record);

    int deleteByPrimaryKey(Tfc record);

    int deleteByIds(Collection<Object> collection);

    Tfc selectByPrimaryKey(Tfc record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tfc> dyncRead(Map<String, Object> dyncMap);

    Tfc selectByObjInfo(Tfc newtbk);

    List<Tfc> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Tbk> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Tfc> entities);
}